<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AngleSharp" Version="1.4.0" />
    <PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="12.1.1" />
    <PackageReference Include="HtmlAgilityPack" Version="1.12.4" />
    <PackageReference Include="Mapster" Version="7.4.0" />
    <PackageReference Include="MediatR" Version="12.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="10.0.0-preview.1.25120.3" />
    <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="10.0.0-preview.6.25358.103" />

    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="10.0.4">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="10.0.1" />
    <PackageReference Include="SixLabors.ImageSharp" Version="3.1.12" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="10.1.5" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.16.0" />
    <PackageReference Include="Microsoft.IdentityModel.Tokens" Version="8.16.0" />
  </ItemGroup>

  <ItemGroup>
    
    <ProjectReference Include="..\Shared\Knot.Shared.Infrastructure\Knot.Shared.Infrastructure.csproj" />
    <ProjectReference Include="..\Modules\Storage\Knot.Modules.Storage.csproj" />
    <ProjectReference Include="..\Modules\Auth\Knot.Modules.Auth.csproj" />
    <ProjectReference Include="..\Modules\Profiles\Knot.Modules.Profiles.csproj" />
    <ProjectReference Include="..\Modules\Messaging\Knot.Modules.Messaging.csproj" />
    <ProjectReference Include="..\Modules\TelegramImport\Knot.Modules.TelegramImport.csproj" />
    <ProjectReference Include="..\Modules\Conversations\Knot.Modules.Conversations.csproj" />
    <ProjectReference Include="..\Modules\Admin\Knot.Modules.Admin.csproj" />
    <ProjectReference Include="..\Modules\WebRtc\Knot.Modules.WebRtc.csproj" />
    <ProjectReference Include="..\Modules\Federation\Knot.Modules.Federation.csproj" />
    <ProjectReference Include="..\Modules\Klipy\Knot.Modules.Klipy.csproj" />
    <ProjectReference Include="..\Modules\Relations\Knot.Modules.Relations.csproj" />
    <ProjectReference Include="..\Modules\Settings\Knot.Modules.Settings.csproj" />
    <ProjectReference Include="..\Modules\Stories\Knot.Modules.Stories.csproj" />
  </ItemGroup>

</Project>


